Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class MessagePersister

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.MessagePersister

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

Direct Known Subclasses:
  MessageRedeliverer

    public class MessagePersister

extends AbstractActionPipelineProcessor

Field Summary
`protected java.lang.String` | `classification`
`static java.lang.String` | `CLASSIFICATION_ATTR`
`protected ConfigTree` | `config`
`static java.lang.String` | `MESSAGE_STORE_CLASS`
`protected MessageStore` | `messageStore`
`protected boolean` | `terminal`
`static java.lang.String` | `TERMINAL`

Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor
`PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD`

Constructor Summary
`MessagePersister(ConfigTree config)`

Method Summary
`void` | `destroy()` Destroy the action instance.
`Message` | `getMessage(Message message)`
`Message` | `getMessages(Message message)`
`void` | `initialise()` Initialise the action instance.
`Message` | `process(Message message)` Persists the message to the MessageStore.
`Message` | `removeMessage(Message message)`

Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
`processException, processSuccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_STORE_CLASS

    public static final java.lang.String MESSAGE_STORE_CLASS

See Also:
  Constant Field Values

### CLASSIFICATION_ATTR

    public static final java.lang.String CLASSIFICATION_ATTR

See Also:
  Constant Field Values

### TERMINAL

    public static final java.lang.String TERMINAL

See Also:
  Constant Field Values

### config

    protected ConfigTree config

### messageStore

    protected MessageStore messageStore

### classification

    protected java.lang.String classification

### terminal

    protected boolean terminal

Constructor Detail

### MessagePersister

    public MessagePersister(ConfigTree config)
                     throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### process

    public Message process(Message message)
                    throws ActionProcessingException

  Persists the message to the MessageStore.

  Parameters:
    `message` - The current message being processed.
  Returns:
    if this is a terminal action then `null` otherwise the original input message.
  Throws:
    `ActionProcessingException` - for errors during processing.

### initialise

    public void initialise()
                    throws ActionLifecycleException

  Description copied from class: `AbstractActionLifecycle`
  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Specified by:
    `initialise` in interface `ActionLifecycle`
  Overrides:
    `initialise` in class `AbstractActionLifecycle`
  Throws:
    `ActionLifecycleException` - for errors during initialisation.

### destroy

    public void destroy()
                 throws ActionLifecycleException

  Description copied from class: `AbstractActionLifecycle`
  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Specified by:
    `destroy` in interface `ActionLifecycle`
  Overrides:
    `destroy` in class `AbstractActionLifecycle`
  Throws:
    `ActionLifecycleException`

### getMessages

    public Message getMessages(Message message)
                        throws ActionProcessingException

  Throws:
    `ActionProcessingException`

### getMessage

    public Message getMessage(Message message)
                       throws ActionProcessingException

  Throws:
    `ActionProcessingException`

### removeMessage

    public Message removeMessage(Message message)
                          throws ActionProcessingException

  Throws:
    `ActionProcessingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD